> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/3.5.0/reference/optimization-packs.md).

# Optimization Packs

This section documents Akamas out-of-the-box optimization packs.

| Optimization Pack                                                                          | Support for applications                              |
| ------------------------------------------------------------------------------------------ | ----------------------------------------------------- |
| [Linux](/akamas-docs/3.5.0/reference/optimization-packs/linux-pack.md)                     | based on Linux operating system                       |
| [MS DotNet](/akamas-docs/3.5.0/reference/optimization-packs/dotnet-pack.md)                | based on MS .Net technology                           |
| [Java Open JDK](/akamas-docs/3.5.0/reference/optimization-packs/java-openjdk-pack.md)      | based on OpenJDK and Oracle HotSpot JVM               |
| [Eclipse OpenJ9](/akamas-docs/3.5.0/reference/optimization-packs/openj9-pack.md)           | based on Eclipse OpenJ9 VM (formerly known as IBM J9) |
| [NodeJS](/akamas-docs/3.5.0/reference/optimization-packs/nodejs-pack.md)                   | based on NodeJS                                       |
| [GO](/akamas-docs/3.5.0/reference/optimization-packs/go-pack.md)                           | based on GO runtime (aka Golang)                      |
| [Web Application](/akamas-docs/3.5.0/reference/optimization-packs/web-application-pack.md) | exposed as web applications                           |
| [Docker](/akamas-docs/3.5.0/reference/optimization-packs/docker-pack.md)                   | based on Docker containters                           |
| [Kubernetes](/akamas-docs/3.5.0/reference/optimization-packs/kubernetes-pack.md)           | based on Kubernetes containters                       |
| [WebSphere](/akamas-docs/3.5.0/reference/optimization-packs/websphere-pack.md)             | based on WebSphere middleware                         |
| [Spark](/akamas-docs/3.5.0/reference/optimization-packs/spark-pack.md)                     | based on Apache Spark middleware                      |
| [PostgreSQL](/akamas-docs/3.5.0/reference/optimization-packs/postgresql-pack.md)           | based on PostgreSQL database                          |
| [Cassandra](/akamas-docs/3.5.0/reference/optimization-packs/cassandra-pack.md)             | based on Cassandra database                           |
| [MySQL](/akamas-docs/3.5.0/reference/optimization-packs/mysql-pack.md)                     | based on MySQL database                               |
| [Oracle Database](/akamas-docs/3.5.0/reference/optimization-packs/oracle-database-pack.md) | based on Oracle database                              |
| [MongoDB](/akamas-docs/3.5.0/reference/optimization-packs/mongodb-pack.md)                 | based on MongoDB database                             |
| [Elasticsearch](/akamas-docs/3.5.0/reference/optimization-packs/elasticsearch-pack.md)     | based on Elasticsearch database                       |
| [AWS](/akamas-docs/3.5.0/reference/optimization-packs/aws-pack.md)                         | based on AWS EC2 or Lambda resources                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akamas.io/akamas-docs/3.5.0/reference/optimization-packs.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
